#
# spec file for package libdrm (Version 2.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libdrm
BuildRequires:  glibc-devel
URL:            http://dri.sf.net
License:        X11/MIT
Group:          System/Libraries
Autoreqprov:    on
Version:        2.0
Release:        15.2
Summary:        Userspace Interface for Kernel DRM Services
Source:         drm-%{version}-051130.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The package containts the userspace interface to the kernel DRM
services.



Authors:
--------
    Daryll Strauss <daryll@valinux.com>
    Dave Airlie <airlied@linux.ie>
    Eric Anholt <anholt@FreeBSD.org>
    Frank C. Earl <fearl@airmail.net>
    Gareth Hughes <gareth@valinux.com>
    Greg Kroah-Hartman <greg@kroah.com>
    Jeff Hartmann <jhartmann@valinux.com>
    Jens Owen <jens@tungstengraphics.com>
    Jon Smirl <jonsmirl@gmail.com>
    Jose Fonseca <jrfonseca@tungstengraphics.com>
    Keith Whitwell <keith@tungstengraphics.com>
    Kevin E. Martin <martin@valinux.com>
    Leif Delgass <ldelgass@retinalburn.net>
    Matthew J Sottek <matthew.j.sottek@intel.com>
    Michel Daenzer <michel@daenzer.net>
    Nicolai Haehnle <prefect_@gmx.net>
    Paul Mackerras <paulus@samba.org>
    Richard Henderson <rth@twiddle.net>
    Rickard E. (Rik) Faith <faith@valinux.com>
    Sung-Ching Lin <sclin@sis.com.tw>
    Terry Barnaby <terry1@beam.ltd.uk>
    Thomas Hellstrom <unichrome@shipmail.org>
    Torsten Duwe <duwe@caldera.de>

%debug_package
%package devel
Summary:        Libraries, includes and more to develop libdrm applications
Group:          System/Libraries
Requires:       libdrm = %{version}

%description devel
The package containts the userspace interface to the kernel DRM
services.



Authors:
--------
    Daryll Strauss <daryll@valinux.com>
    Dave Airlie <airlied@linux.ie>
    Eric Anholt <anholt@FreeBSD.org>
    Frank C. Earl <fearl@airmail.net>
    Gareth Hughes <gareth@valinux.com>
    Greg Kroah-Hartman <greg@kroah.com>
    Jeff Hartmann <jhartmann@valinux.com>
    Jens Owen <jens@tungstengraphics.com>
    Jon Smirl <jonsmirl@gmail.com>
    Jose Fonseca <jrfonseca@tungstengraphics.com>
    Keith Whitwell <keith@tungstengraphics.com>
    Kevin E. Martin <martin@valinux.com>
    Leif Delgass <ldelgass@retinalburn.net>
    Matthew J Sottek <matthew.j.sottek@intel.com>
    Michel Daenzer <michel@daenzer.net>
    Nicolai Haehnle <prefect_@gmx.net>
    Paul Mackerras <paulus@samba.org>
    Richard Henderson <rth@twiddle.net>
    Rickard E. (Rik) Faith <faith@valinux.com>
    Sung-Ching Lin <sclin@sis.com.tw>
    Terry Barnaby <terry1@beam.ltd.uk>
    Thomas Hellstrom <unichrome@shipmail.org>
    Torsten Duwe <duwe@caldera.de>

%prep
%setup -n drm

%build
autoreconf -fi
./configure --prefix=/usr --libdir=%{_libdir}
make 

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/%{_lib}/libdrm.so.2
/usr/%{_lib}/libdrm.so.2.0.0

%files devel
%defattr(-,root,root)
/usr/include/drm/
/usr/include/xf86drm.h
/usr/%{_lib}/libdrm.a
/usr/%{_lib}/libdrm.la
/usr/%{_lib}/libdrm.so
/usr/%{_lib}/pkgconfig/libdrm.pc

%changelog -n libdrm
* Sat Feb 04 2006 - aj@suse.de
- xorg-x11-devel is not needed for build.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 23 2005 - mls@suse.de
- Require main package in devel subpackage
* Wed Nov 30 2005 - sndirsch@suse.de
- update to 2.0 branch (2005-11-30)
* Tue Nov 01 2005 - sndirsch@suse.de
- updated to 1.0.5 (version Bump for new via header)
* Sat Oct 29 2005 - sndirsch@suse.de
- call ldconfig in %%post
* Tue Oct 25 2005 - sndirsch@suse.de
- updated to CVS 051025 (required for Mesa 6.4)
* Tue Oct 04 2005 - sndirsch@suse.de
- added libdrm.so to filelist
* Sun Oct 02 2005 - sndirsch@suse.de
- created package
